[Buildroot] AM3517 Neon, OpenGL & EGLFS support

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Fri Jun 7 15:23:52 UTC 2013


Dear Charles Krinke,

On Fri, 7 Jun 2013 07:44:09 -0700, Charles Krinke wrote:

> I can seem to get past this error by enabling "rpi-userland" which
> does define LIBGLES_DEPENDENCIES, but this seems like the wrong answer
> to me.

Enabling rpi-userland provides an EGL implementation that works on the
RasberryPi, so obviously, this isn't going to work for you.

> Perhaps there is a different configuration setting somewhere
> else that defines sufficient configuration for the AM3517 that I have
> missed?

Spenser is creating a Buildroot package that properly packages the
OpenGL/EGL implementation for OMAP/AM3xxx. I hope he can post that soon.

> I just did a make clean && make after defining "rpi-userland" and the
> compilation completed with a libQt5OpenGL.so.5.0.2 about 300KBytes in
> size, so something seems to have worked.
> 
> Would it be correct that LIBGLES_DEPENDENCIES may just have to be
> defined to "anything" so we could put into qt5base/qt5.mk a line that
> says
> 
> LIBGLES_DEPENDENCIES += any_string_will_do
> 
> and expect success?

Well, if you install manually your OpenGL and EGL libraries, maybe. But
that's ugly. The libegl and libopengl packages are virtual packages,
and one package is supposed to provide one EGL and one OpenGL
implementation for your specific SoC.

Spenser, can you update us on your patches? Even if there's not fully
ready, posting them with a RFC tag would allow Charles and Wojchiech to
experiment with them.

Thanks!

Thomas
-- 
Thomas Petazzoni, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com


More information about the buildroot mailing list